Debian Bug report logs - #647258
qa.debian.org: the PTS should put a TODO for release goal bugs affecting the package

version graph

Package: qa.debian.org; Maintainer for qa.debian.org is debian-qa@lists.debian.org;

Reported by: Raphaël Hertzog <hertzog@debian.org>

Date: Tue, 1 Nov 2011 09:48:02 UTC

Severity: wishlist

Fixed in version 2675

Done: Raphaël Hertzog <hertzog@alioth.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#647258; Package qa.debian.org. (Tue, 01 Nov 2011 09:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphaël Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to debian-qa@lists.debian.org. (Tue, 01 Nov 2011 09:48:19 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: qa.debian.org: the PTS should put a TODO for release goal bugs affecting the package
Date: Tue, 01 Nov 2011 10:44:05 +0100
Package: qa.debian.org
Severity: wishlist
User: qa.debian.org@packages.debian.org
Usertags: pts

The PTS should clearly remind the maintainer when he has release goals
bugs that are not yet fixed. ddpo-by-mail used to have such a reminder
already.

Some coordination with the release team would be nice so that
they can provide a stable URL with the current release goals
in a YAML format. The information provided would include the usertags used
to track the goal.

Currently we only have http://release.debian.org/wheezy/goals.txt

-- System Information:
Debian Release: wheezy/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'proposed-updates'), (500, 'unstable'), (500, 'testing'), (500, 'stable'), (150, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 3.0.0-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#647258; Package qa.debian.org. (Fri, 04 Nov 2011 20:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Fri, 04 Nov 2011 20:09:06 GMT) Full text and rfc822 format available.

Message #10 received at 647258@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 647258@bugs.debian.org
Subject: Re: Bug#647258: qa.debian.org: the PTS should put a TODO for release goal bugs affecting the package
Date: Fri, 4 Nov 2011 21:05:21 +0100
On Tue, 01 Nov 2011, Raphaël Hertzog wrote:
> Some coordination with the release team would be nice so that
> they can provide a stable URL with the current release goals
> in a YAML format. The information provided would include the usertags used
> to track the goal.
> 
> Currently we only have http://release.debian.org/wheezy/goals.txt

Thanks to Niels Thykier we now have
http://release.debian.org/testing/goals.yaml

So we need to extract the goals with state "accepted", find out the
set of open bugs associated to the usertag (if any), and display
the TODO entry for any source package affected by one or more
of the release goal bugs.

I believe that we can use UDD to identify the list of bugs.

Anyone up for the task? Giovanni? Bart? :-)

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Pre-order a copy of the Debian Administrator's Handbook and help
liberate it: http://debian-handbook.info/go/ulule-rh/




Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#647258; Package qa.debian.org. (Tue, 20 Dec 2011 16:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Tue, 20 Dec 2011 16:39:08 GMT) Full text and rfc822 format available.

Message #15 received at 647258@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: Raphael Hertzog <hertzog@debian.org>, 647258@bugs.debian.org
Subject: Re: Bug#647258: qa.debian.org: the PTS should put a TODO for release goal bugs affecting the package
Date: Tue, 20 Dec 2011 16:56:58 +0100
On 04/11/11 at 21:05 +0100, Raphael Hertzog wrote:
> On Tue, 01 Nov 2011, Raphaël Hertzog wrote:
> > Some coordination with the release team would be nice so that
> > they can provide a stable URL with the current release goals
> > in a YAML format. The information provided would include the usertags used
> > to track the goal.
> > 
> > Currently we only have http://release.debian.org/wheezy/goals.txt
> 
> Thanks to Niels Thykier we now have
> http://release.debian.org/testing/goals.yaml
> 
> So we need to extract the goals with state "accepted", find out the
> set of open bugs associated to the usertag (if any), and display
> the TODO entry for any source package affected by one or more
> of the release goal bugs.
> 
> I believe that we can use UDD to identify the list of bugs.
> 
> Anyone up for the task? Giovanni? Bart? :-)

Hi,

I've done http://udd.debian.org/pts-release-goals.cgi
Which provides a YAML list of open RG bugs.

I'm leaving the PTS integration for someone else. ;)

Lucas




Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#647258; Package qa.debian.org. (Wed, 04 Jan 2012 08:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Wed, 04 Jan 2012 08:54:04 GMT) Full text and rfc822 format available.

Message #20 received at 647258@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Lucas Nussbaum <lucas@debian.org>
Cc: 647258@bugs.debian.org
Subject: Re: Bug#647258: qa.debian.org: the PTS should put a TODO for release goal bugs affecting the package
Date: Wed, 4 Jan 2012 09:51:34 +0100
Hi,

On Tue, 20 Dec 2011, Lucas Nussbaum wrote:
> > Thanks to Niels Thykier we now have
> > http://release.debian.org/testing/goals.yaml
> > 
> > So we need to extract the goals with state "accepted", find out the
> > set of open bugs associated to the usertag (if any), and display
> > the TODO entry for any source package affected by one or more
> > of the release goal bugs.
> > 
> > I believe that we can use UDD to identify the list of bugs.
> > 
> > Anyone up for the task? Giovanni? Bart? :-)
> 
> Hi,
> 
> I've done http://udd.debian.org/pts-release-goals.cgi
> Which provides a YAML list of open RG bugs.

Thanks for this! But the output contains all entries twice. Can you fix
this ?

> I'm leaving the PTS integration for someone else. ;)

I'm just finishing it.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Pre-order a copy of the Debian Administrator's Handbook and help
liberate it: http://debian-handbook.info/liberation/




Reply sent to Raphaël Hertzog <hertzog@alioth.debian.org>:
You have taken responsibility. (Wed, 04 Jan 2012 09:01:30 GMT) Full text and rfc822 format available.

Notification sent to Raphaël Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Wed, 04 Jan 2012 09:01:31 GMT) Full text and rfc822 format available.

Message #25 received at 647258-done@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@alioth.debian.org>
To: 647258-done@bugs.debian.org
Subject: qa.debian.org bug fixed in revision 2675
Date: Wed, 04 Jan 2012 09:00:03 +0000
Version: 2675

This bug was closed by Raphaël Hertzog (hertzog) in SVN revision 2675.
Note that it might take some time until the qa.debian.org code has
been updated and cronjobs have picked up changed data.

Commit message:

Implement TODO message telling about release goal bugs. Closes: #647258






Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#647258; Package qa.debian.org. (Wed, 04 Jan 2012 09:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Wed, 04 Jan 2012 09:39:13 GMT) Full text and rfc822 format available.

Message #30 received at 647258@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 647258@bugs.debian.org
Subject: Re: Bug#647258: qa.debian.org: the PTS should put a TODO for release goal bugs affecting the package
Date: Wed, 4 Jan 2012 10:10:13 +0100
On 04/01/12 at 09:51 +0100, Raphael Hertzog wrote:
> Hi,
> 
> On Tue, 20 Dec 2011, Lucas Nussbaum wrote:
> > > Thanks to Niels Thykier we now have
> > > http://release.debian.org/testing/goals.yaml
> > > 
> > > So we need to extract the goals with state "accepted", find out the
> > > set of open bugs associated to the usertag (if any), and display
> > > the TODO entry for any source package affected by one or more
> > > of the release goal bugs.
> > > 
> > > I believe that we can use UDD to identify the list of bugs.
> > > 
> > > Anyone up for the task? Giovanni? Bart? :-)
> > 
> > Hi,
> > 
> > I've done http://udd.debian.org/pts-release-goals.cgi
> > Which provides a YAML list of open RG bugs.
> 
> Thanks for this! But the output contains all entries twice. Can you fix
> this ?

Done

Lucas




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 Feb 2012 07:36:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:48:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.